MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030144Open CASCADE[OCCT] OCCT:Visualizationpublic2018-09-17 13:182018-10-29 09:30
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030144: Visualization, TKOpenGl - extend OpenGl_FrameStats with frame timers
DescriptionOpenGl_FrameStats extensions.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon cadass_frame_times_chart.png (155,371 bytes) 2018-10-08 18:47

- Relationships
parent of 0030240verifiedkgv Open CASCADE Visualization, OpenGl_FrameStatsPrs - chart cannot be erased 

-  Notes
(0079264)
git (administrator)
2018-09-19 19:36

Branch CR30144 has been created by kgv.

SHA-1: 7d85967c191ef75dd5df865bc8ab88e0eee7928e


Detailed log of new commits:

Author: kgv
Date: Mon Sep 17 18:11:05 2018 +0300

    0030144: Visualization, TKOpenGl - extend OpenGl_FrameStats
(0079356)
git (administrator)
2018-09-24 12:43

Branch CR30144 has been updated forcibly by kgv.

SHA-1: a273aeb4a9dd29c0c147128ba856ba881e80102c
(0079572)
git (administrator)
2018-10-02 10:29

Branch CR30144 has been updated forcibly by kgv.

SHA-1: d2d71534be20333cf4777c569925e6764ca83bb4
(0079573)
git (administrator)
2018-10-02 10:34

Branch CR30144 has been updated forcibly by kgv.

SHA-1: c426fff41775ab8a241b4f3e5d7d1e522c2fa959
(0079741)
git (administrator)
2018-10-06 19:15

Branch CR30144 has been updated forcibly by kgv.

SHA-1: 0722957eac65fb4d26ee00b828790fae9f9bfacb
(0079797)
git (administrator)
2018-10-08 18:26

Branch CR30144_1 has been created by kgv.

SHA-1: 987e24d477231e43d9ca88aa675f0bf153923983


Detailed log of new commits:

Author: kgv
Date: Mon Sep 17 18:11:05 2018 +0300

    0030144: Visualization, TKOpenGl - extend OpenGl_FrameStats with frame timers
(0079798)
git (administrator)
2018-10-08 18:53

Branch CR30144_1 has been updated forcibly by kgv.

SHA-1: 86be11dddb647255dc65c7b63d0cd745f61a8bdb
(0079800)
git (administrator)
2018-10-08 18:54

Branch CR30144_1 has been updated forcibly by kgv.

SHA-1: 72b9be3886fd1526b736362252d0bcba69b12bc2
(0079803)
kgv (developer)
2018-10-08 19:01
edited on: 2018-10-09 10:29

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com/view/CR30144_1-CR30144_1-KGV [^]

(0079806)
git (administrator)
2018-10-08 19:07

Branch CR30144_1 has been updated forcibly by kgv.

SHA-1: 141fc7b44a99855f60340881dad4c8d81d28f9f4
(0079809)
git (administrator)
2018-10-08 19:21

Branch CR30144_1 has been updated forcibly by kgv.

SHA-1: 577e0a52d5c825fd1c06ef2da890f4c9376b7a3b
(0079867)
san (developer)
2018-10-10 20:54

Branch CR30144_1 reviewed without remarks.
(0079892)
apn (administrator)
2018-10-11 14:36

Combination -
OCCT branch : CR30144_1 SHA - 577e0a52d5c825fd1c06ef2da890f4c9376b7a3b
Products branch : CR30144_1 SHA - 8935528e5e1385460e9bfafca1fe805c52797f94
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17455.55999999973 / 17385.999999999854 [+0.40%]
Products
Total CPU difference: 7456.960000000068 / 7445.680000000064 [+0.15%]
Windows-64-VC14:
OCCT
Total CPU difference: 17487.97730169851 / 17457.853508598404 [+0.17%]
Products
Total CPU difference: 8366.692432299988 / 8343.292282299992 [+0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079933)
git (administrator)
2018-10-14 13:56

Branch CR30144_1 has been deleted by inv.

SHA-1: 577e0a52d5c825fd1c06ef2da890f4c9376b7a3b
(0079937)
git (administrator)
2018-10-14 13:56

Branch CR30144 has been deleted by inv.

SHA-1: 0722957eac65fb4d26ee00b828790fae9f9bfacb

- Related Changesets
occt: master 5e30547b
Timestamp: 2018-09-17 15:11:05
Author: kgv
Committer: apn
Details ] Diff ]
0030144: Visualization, TKOpenGl - extend OpenGl_FrameStats with frame timers
mod - src/Graphic3d/FILES Diff ] File ]
add - src/Graphic3d/Graphic3d_FrameStats.cxx Diff ] File ]
add - src/Graphic3d/Graphic3d_FrameStats.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_FrameStatsCounter.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_FrameStatsData.cxx Diff ] File ]
add - src/Graphic3d/Graphic3d_FrameStatsData.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_FrameStatsTimer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStatsPrs.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStatsPrs.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-17 13:18 kgv New Issue
2018-09-17 13:18 kgv Assigned To => kgv
2018-09-19 19:36 git Note Added: 0079264
2018-09-19 19:40 kgv File Added: draw_stats.png
2018-09-24 12:43 git Note Added: 0079356
2018-10-02 10:29 git Note Added: 0079572
2018-10-02 10:34 git Note Added: 0079573
2018-10-02 22:58 kgv Relationship added related to 0030191
2018-10-06 19:15 git Note Added: 0079741
2018-10-08 18:25 kgv Summary Visualization, TKOpenGl - extend OpenGl_FrameStats => Visualization, TKOpenGl - extend OpenGl_FrameStats with frame timers
2018-10-08 18:26 git Note Added: 0079797
2018-10-08 18:47 kgv File Deleted: draw_stats.png
2018-10-08 18:47 kgv File Added: cadass_frame_times_chart.png
2018-10-08 18:53 git Note Added: 0079798
2018-10-08 18:54 git Note Added: 0079800
2018-10-08 19:01 kgv Note Added: 0079803
2018-10-08 19:01 kgv Assigned To kgv => san
2018-10-08 19:01 kgv Status new => resolved
2018-10-08 19:07 git Note Added: 0079806
2018-10-08 19:21 git Note Added: 0079809
2018-10-09 10:29 kgv Note Edited: 0079803 View Revisions
2018-10-10 20:54 san Note Added: 0079867
2018-10-10 20:54 san Assigned To san => bugmaster
2018-10-10 20:54 san Status resolved => reviewed
2018-10-11 14:36 apn Test case number => Not needed
2018-10-11 14:36 apn Note Added: 0079892
2018-10-11 14:36 apn Status reviewed => tested
2018-10-13 16:01 apn Changeset attached => occt master 5e30547b
2018-10-13 16:01 apn Assigned To bugmaster => apn
2018-10-13 16:01 apn Status tested => verified
2018-10-13 16:01 apn Resolution open => fixed
2018-10-14 13:56 git Note Added: 0079933
2018-10-14 13:56 git Note Added: 0079937
2018-10-15 14:19 kgv Relationship added parent of 0030240


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker